<template>
  <tr class="order-item">
    <td class="text-container">
      <div class="name" v-if="item.orderPrice == 0">БЕСПЛАТНАЯ ПИЦЦА</div>
      <div class="name">{{item.name | uppercase}}</div>
      <div class="description" v-if="item.sizeText || item.thicknessText">
        <span>{{item.sizeText | lowercase}}</span>,
        <span>{{item.thicknessText | lowercase}}</span>
      </div>
      <div class="description" v-if="item.sauceText">
        <span>соус: {{item.sauceText | lowercase}}</span>
      </div>
    </td>
    <td class="qauntity-cont">
      <button
        v-if="item.orderPrice > 0"
        class="small-button"
        @click="delFromOrderByKey(item.aggrKey)"
      >&#8722;</button>
      <span class="quantity">{{item.quantity}}</span>
      <button v-if="item.orderPrice > 0" class="small-button" @click="addToOrder(item)">&#65291;</button>
    </td>
    <td class="price">{{item.orderPrice * item.quantity}} ₽</td>
    <!-- <td class="price" colspan="2" v-if='item.orderPrice == 0'>БЕСПЛАТНАЯ ПИЦЦА</td> -->
    <td>
      <button class="small-button" @click="delAllFromOrderByKey(item.aggrKey)">&#10005;</button>
    </td>
  </tr>
</template>

<script>
import ProductParam from "./ProductParam";
import { mapMutations } from "vuex";
const imagesContext = require.context("../assets", true);
export default {
  components: {
    "app-product-param": ProductParam
  },
  props: ["item"],
  methods: {
    ...mapMutations([
      "addToOrder",
      "delFromOrderByKey",
      "delAllFromOrderByKey",
      "selectSauce"
    ])
  },
  data() {
    return {
      images: imagesContext
    };
  },
  computed: {
    selectedSauce: {
      get() {
        const item = this.$store.state.ordered.find(
          it => (it.orderKey = this.item.orderKey)
        );
        if (!item) return;
        item.sauces.forEach(it => {
          if (it.selected) return it.id;
        });
        return;
      },
      set(value) {
        this.selectSauce({ orderKey: this.item.orderKey, sauceId: value });
      }
    }
  }
};
</script>

<style scoped>
td {
  text-align: left;
  vertical-align: middle;
  border-bottom: 1px solid #ddd;
  padding-top: 10px;
  padding-bottom: 10px;
}

.order-item {
  width: 100%;
}

.image {
  width: 100px;
  height: 100px;
  background-image: require("../assets/noimage.svg");
}

.name {
  margin-top: 5px;
  font-size: 1em;
  margin-bottom: 5px;
}

.description {
  color: #777;
}

.price {
  font-size: 1.2em;
  min-width: 70px;
  text-align: right;
  padding-right: 5px;
}

.qauntity-cont {
  min-width: 90px;
  text-align: center;
}
/* #f0712c; */
.small-button {
  border: none;
  border-radius: 10px;
  background-color: white;
  color: #f0712c;
  padding: 7px 0px 7px 0px;
  width: 20px;
  font-weight: bold;
  font-size: 1.2em;
  transition: all 0.1s ease;
}

.small-button:hover {
  border-radius: 10px;
  color: black;
}

.quantity {
  border: none;
  padding: 7px 5px 7px 5px;
  font-size: 1.2em;
}
</style>

